Latest version 3.15.0 is corrupt on mac

Need help with FileZilla Client? Something does not work as expected? In this forum you may find an answer.

Moderator: Project members

Message
Author
riclf
504 Command not implemented
Posts: 8
Joined: 2016-01-31 21:17
First name: Richard
Last name: Fink

Latest version 3.15.0 is corrupt on mac

#1 Post by riclf » 2016-01-31 21:47

The file downloaded from the Filezilla site is: FileZilla_3.15.0_macosx-x86.app.tar.bz2

I does uncompress to filezilla.app without issue.

When then attempting to run it, El Capitan produces:
“FileZilla.app” is damaged and can’t be opened. You should move it to the Trash.

Done this dance 4 or 5 time with same results. Any ideas?

-Ric

User avatar
botg
Site Admin
Posts: 32199
Joined: 2004-02-23 20:49
First name: Tim
Last name: Kosse
Contact:

Re: Latest version 3.15.0 is corrupt on mac

#2 Post by botg » 2016-01-31 22:15

This is probably the result of a bad or missing App Store certificate. Try rebooting your Mac and sign out and back into the App Store.

riclf
504 Command not implemented
Posts: 8
Joined: 2016-01-31 21:17
First name: Richard
Last name: Fink

Re: Latest version 3.15.0 is corrupt on mac

#3 Post by riclf » 2016-01-31 23:22

Yea, a reboot didn't fix it. Version 3.14.1 works fine but I hope this is not the end of the line for me as far as upgrades goes. Been loving FZ for a billion years!

Am I correct that the .dmg versions that are encased in the SourceForge.app wrapper contain crud that I had not come for? Just asking.

Not sure what to do. I'm on a Mac Mini. I will try it on my Mac Air and see if things are different.

Thanks for the follow-up.

-Ric
Attachments
FileZilla-3.15.0-Error.png
Error Popup
FileZilla-3.15.0-Error.png (32.16 KiB) Viewed 4584 times

User avatar
botg
Site Admin
Posts: 32199
Joined: 2004-02-23 20:49
First name: Tim
Last name: Kosse
Contact:

Re: Latest version 3.15.0 is corrupt on mac

#4 Post by botg » 2016-01-31 23:52

riclf wrote:Am I correct that the .dmg versions that are encased in the SourceForge.app wrapper contain crud that I had not come for?
Yes.
Not sure what to do. I'm on a Mac Mini. I will try it on my Mac Air and see if things are different.
I'm not sure either what to do. The binaries work fine on my machine.

According to the update server statistics, they also works just fine for many other users of OS X 10.11.

Please try this:

Open a terminal and type the following, replace the path to the application bundle as necessary. What does it output?

Code: Select all

codesign -d -vvv /Users/foobar/Downloads/FileZilla.app && echo OK

riclf
504 Command not implemented
Posts: 8
Joined: 2016-01-31 21:17
First name: Richard
Last name: Fink

Re: Latest version 3.15.0 is corrupt on mac

#5 Post by riclf » 2016-02-01 00:13

I renamed the app with the version number so that I could use 3.14.1 as filezilla.app .
But the failing case I describe is when 3.15.0 runs as named filezilla.app .

Rics-Mac-Mini:~ Ric$ codesign -d -vvv /Applications/FileZilla3.15.0.app && echo OK
Executable=/Applications/FileZilla3.15.0.app/Contents/MacOS/filezilla
Identifier=de.filezilla
Format=bundle with Mach-O thin (x86_64)
CodeDirectory v=20200 size=57576 flags=0x0(none) hashes=2871+4 location=embedded
Hash type=sha1 size=20
CDHash=dd20d0eebc3331c561d53d209aaed355528c8a7a
Signature size=8905
Authority=Developer ID Application: Tim Kosse (5VPGKXL75N)
Authority=Developer ID Certification Authority
Authority=Apple Root CA
Timestamp=Jan 30, 2016, 8:29:54 AM
Info.plist entries=17
TeamIdentifier=5VPGKXL75N
Sealed Resources version=2 rules=12 files=520
Internal requirements count=1 size=172
OK
Rics-Mac-Mini:~ Ric$

How does this look to you ? Greek to me.

-Ric


OK, I am on my Mac Air at this moment. I downloaded the same FileZilla_3.15.0_macosx-x86.app.tar.bz2 and installed it. I'm getting the SAME error when trying to run filezilla.app .

Both machines are running El Capitan 10.11.3 (note the .3). I wonder if that is the incompatibility because otherwise the 2 Macs are quite different in detail makeup.

I thank you for your continuing help.

-Ric

PS - if you think you see something in the code and want me to test it I am good to go and be of help. I appreciate your work here.

User avatar
botg
Site Admin
Posts: 32199
Joined: 2004-02-23 20:49
First name: Tim
Last name: Kosse
Contact:

Re: Latest version 3.15.0 is corrupt on mac

#6 Post by botg » 2016-02-01 08:28

riclf wrote:

Code: Select all

Rics-Mac-Mini:~ Ric$ codesign -d -vvv /Applications/FileZilla3.15.0.app && echo OK
Executable=/Applications/FileZilla3.15.0.app/Contents/MacOS/filezilla
Identifier=de.filezilla
Format=bundle with Mach-O thin (x86_64)
CodeDirectory v=20200 size=57576 flags=0x0(none) hashes=2871+4 location=embedded
Hash type=sha1 size=20
CDHash=dd20d0eebc3331c561d53d209aaed355528c8a7a
Signature size=8905
Authority=Developer ID Application: Tim Kosse (5VPGKXL75N)
Authority=Developer ID Certification Authority
Authority=Apple Root CA
Timestamp=Jan 30, 2016, 8:29:54 AM
Info.plist entries=17
TeamIdentifier=5VPGKXL75N
Sealed Resources version=2 rules=12 files=520
Internal requirements count=1 size=172
OK
How does this look to you ? Greek to me.
Looking just as it should look like.
Both machines are running El Capitan 10.11.3 (note the .3). I wonder if that is the incompatibility because otherwise the 2 Macs are quite different in detail makeup.
It's not a hardware incompatibility issue, there are some pretty old Macs running the new version just fine.

riclf
504 Command not implemented
Posts: 8
Joined: 2016-01-31 21:17
First name: Richard
Last name: Fink

Re: Latest version 3.15.0 is corrupt on mac

#7 Post by riclf » 2016-02-01 08:52

No, I was wondering if it had to do with the .3 changes from 10.11.2 to 10.11.3 since that is the commonality of the two different hardware bases, the Mini and the Air.

The 2 machines, very different, except that they both run not just 10.11 but now 10.11.3.

Where else to look....

User avatar
botg
Site Admin
Posts: 32199
Joined: 2004-02-23 20:49
First name: Tim
Last name: Kosse
Contact:

Re: Latest version 3.15.0 is corrupt on mac

#8 Post by botg » 2016-02-01 09:06

What's the "Allow applications downloaded from" setting set to on the General tab of the Security & Privacy dialog in your System Preferences?

riclf
504 Command not implemented
Posts: 8
Joined: 2016-01-31 21:17
First name: Richard
Last name: Fink

Re: Latest version 3.15.0 is corrupt on mac

#9 Post by riclf » 2016-02-01 19:12

Allow apps downloaded from:
o
* Mac App Store and identified developers
o
Attachments
SecAndPrivacy.png
SecAndPrivacy.png (13.79 KiB) Viewed 4491 times

riclf
504 Command not implemented
Posts: 8
Joined: 2016-01-31 21:17
First name: Richard
Last name: Fink

Re: Latest version 3.15.0 is corrupt on mac

#10 Post by riclf » 2016-02-02 04:49

Tim, I will back away after this comment but could you get someone you know who is running Mac OSX El Capitan 10.11.3 (--> .3)
to try installing and running FZ3.15.0 ?

I will go away. :(

Thanks.

-Ric

jazzsequence
500 Command not understood
Posts: 1
Joined: 2016-02-02 17:46

Re: Latest version 3.15.0 is corrupt on mac

#11 Post by jazzsequence » 2016-02-02 17:50

Hey just wanted to pop in to say that I had this issue with 3.15.1 and was able to resolve it by setting the App security to "Anywhere"
Attachments
Security___Privacy.png
Security___Privacy.png (9.52 KiB) Viewed 4411 times

riclf
504 Command not implemented
Posts: 8
Joined: 2016-01-31 21:17
First name: Richard
Last name: Fink

Re: Latest version 3.15.0 is corrupt on mac

#12 Post by riclf » 2016-02-02 18:14

@jazzsequence will try that! I'm out of ideas. Thanks.

User avatar
botg
Site Admin
Posts: 32199
Joined: 2004-02-23 20:49
First name: Tim
Last name: Kosse
Contact:

Re: Latest version 3.15.0 is corrupt on mac

#13 Post by botg » 2016-02-02 18:46


riclf
504 Command not implemented
Posts: 8
Joined: 2016-01-31 21:17
First name: Richard
Last name: Fink

Re: Latest version 3.15.0 is corrupt on mac

#14 Post by riclf » 2016-02-03 04:27

Good news! This version worked on my Air! The original report was on my Mac Mini but I am not home at this time. As soon as I get home I will try and report here. Thanks !

Home at last! YES, this version: 3.15.0.1 works on the Mac Mini where the issue first came to light.

Many Thanks.

-Ric

kharnmcd
500 Command not understood
Posts: 1
Joined: 2016-02-10 08:36
First name: Tim
Last name: McDonnell

Re: Latest version 3.15.0 is corrupt on mac

#15 Post by kharnmcd » 2016-02-10 08:39

Hi I too was having this same problem setting the ability to load apps from anywhere on my mac made this work which was nice.
The small print on this setting on mac says that if you dont use it for 30 days it will revert to default settings which is im sure what has happened in my case as I was running fine previously.

Post Reply